package com.ejie.aa21b.model;

/**
 * Aa21b02s01  
 * 
 *  
 */

public class Aa21b02s01 implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	// Clave compuesta
	private String cserv02;
	private String ctipoe02;
	private String ctrami02;
	private String dtipoe02;
	private String etipoe02;
	private String situ02;
	private Integer bloq02;
	private String usub02;

	private Integer codGrupo30;
	private String desGrupo30;

	public String getServicioTipo() {
		return cserv02 + "-" + ctipoe02;
	}

	public String getTipoTextoC() {
		return ctipoe02 + "-" + dtipoe02;
	}

	public String getTipoTextoE() {
		return ctipoe02 + "-" + etipoe02;
	}

	/**
	 * @return the id
	 */
	public String getIdTipo() {
		return cserv02 + "-" + ctipoe02;
	}

	/**
	 * @param idTipo
	 *            the id to set
	 */
	public void setIdTipo(String idTipo) {
		String[] ids = idTipo.split("-");
		this.cserv02 = ids[0];
		this.ctipoe02 = ids[1];
	}

	/**
	 * Method 'Aa21b02s01'.
	 */
	public Aa21b02s01() {
	}

	/**
	 * Method 'Aa21b02s01'.
	 * 
	 * @param cserv02
	 *            String
	 * @param ctipoe02
	 *            String
	 */
	public Aa21b02s01(String cserv02, String ctipoe02) {
		this.cserv02 = cserv02;
		this.ctipoe02 = ctipoe02;
	}

	/**
	 * Method 'Aa21b02s01'.
	 * 
	 * @param cserv02
	 *            String
	 * @param ctipoe02
	 *            String
	 * @param ctrami02
	 *            String
	 * @param dtipoe02
	 *            String
	 * @param etipoe02
	 *            String
	 * @param situ02
	 *            String
	 * @param usub02
	 *            String
	 */
	public Aa21b02s01(String cserv02, String ctipoe02, String ctrami02,
			String dtipoe02, String etipoe02, String situ02, String usub02) {

		this.cserv02 = cserv02;
		this.ctipoe02 = ctipoe02;
		this.ctrami02 = ctrami02;
		this.dtipoe02 = dtipoe02;
		this.etipoe02 = etipoe02;
		this.situ02 = situ02;
		this.usub02 = usub02;
	}

	/**
	 * Method 'getCserv02'.
	 * 
	 * @return String
	 */

	public String getCserv02() {
		return this.cserv02;
	}

	/**
	 * Method 'setCserv02'.
	 * 
	 * @param cserv02
	 *            String
	 * @return
	 */

	public void setCserv02(String cserv02) {
		this.cserv02 = cserv02;
	}

	/**
	 * Method 'getCtipoe02'.
	 * 
	 * @return String
	 */

	public String getCtipoe02() {
		return this.ctipoe02;
	}

	/**
	 * Method 'setCtipoe02'.
	 * 
	 * @param ctipoe02
	 *            String
	 * @return
	 */

	public void setCtipoe02(String ctipoe02) {
		this.ctipoe02 = ctipoe02;
	}

	/**
	 * Method 'getCtrami02'.
	 * 
	 * @return String
	 */

	public String getCtrami02() {
		return this.ctrami02;
	}

	/**
	 * Method 'setCtrami02'.
	 * 
	 * @param ctrami02
	 *            String
	 * @return
	 */

	public void setCtrami02(String ctrami02) {
		this.ctrami02 = ctrami02;
	}

	/**
	 * Method 'getDtipoe02'.
	 * 
	 * @return String
	 */

	public String getDtipoe02() {
		return this.dtipoe02;
	}

	/**
	 * Method 'setDtipoe02'.
	 * 
	 * @param dtipoe02
	 *            String
	 * @return
	 */

	public void setDtipoe02(String dtipoe02) {
		this.dtipoe02 = dtipoe02;
	}

	/**
	 * Method 'getEtipoe02'.
	 * 
	 * @return String
	 */

	public String getEtipoe02() {
		return this.etipoe02;
	}

	/**
	 * Method 'setEtipoe02'.
	 * 
	 * @param etipoe02
	 *            String
	 * @return
	 */

	public void setEtipoe02(String etipoe02) {
		this.etipoe02 = etipoe02;
	}

	/**
	 * Method 'getSitu02'.
	 * 
	 * @return String
	 */

	public String getSitu02() {
		return this.situ02;
	}

	/**
	 * Method 'setSitu02'.
	 * 
	 * @param situ02
	 *            String
	 * @return
	 */

	public void setSitu02(String situ02) {
		this.situ02 = situ02;
	}

	/**
	 * Method 'getBloq02'.
	 * 
	 * @return Integer
	 */

	public Integer getBloq02() {
		return this.bloq02;
	}

	/**
	 * Method 'setBloq02'.
	 * 
	 * @param bloq02
	 *            Integer
	 * @return
	 */

	public void setBloq02(Integer bloq02) {
		this.bloq02 = bloq02;
	}

	/**
	 * Method 'getUsub02'.
	 * 
	 * @return String
	 */

	public String getUsub02() {
		return this.usub02;
	}

	/**
	 * Method 'setUsub02'.
	 * 
	 * @param usub02
	 *            String
	 * @return
	 */

	public void setUsub02(String usub02) {
		this.usub02 = usub02;
	}

	/**
	 * Intended only for logging and debugging.
	 * 
	 * Here, the contents of every main field are placed into the result.
	 * 
	 * @return String
	 */
	@Override
	public String toString() {
		StringBuilder result = new StringBuilder();
		result.append(this.getClass().getName()).append(" Object { ");
		// Clave compuesta

		result.append("[ cserv02: ").append(this.cserv02).append(" ]");

		result.append(", [ ctipoe02: ").append(this.ctipoe02).append(" ]");
		result.append(", [ ctrami02: ").append(this.ctrami02).append(" ]");
		result.append(", [ dtipoe02: ").append(this.dtipoe02).append(" ]");
		result.append(", [ etipoe02: ").append(this.etipoe02).append(" ]");
		result.append(", [ situ02: ").append(this.situ02).append(" ]");
		result.append(", [ bloq02: ").append(this.bloq02).append(" ]");
		result.append(", [ usub02: ").append(this.usub02).append(" ]");
		result.append("}");
		return result.toString();
	}

	/**
	 * @param codGrupo30
	 *            the codGrupo30 to set
	 */
	public void setCodGrupo30(Integer codGrupo30) {
		this.codGrupo30 = codGrupo30;
	}

	/**
	 * @return the codGrupo30
	 */
	public Integer getCodGrupo30() {
		return codGrupo30;
	}

	/**
	 * @param desGrupo30
	 *            the desGrupo30 to set
	 */
	public void setDesGrupo30(String desGrupo30) {
		this.desGrupo30 = desGrupo30;
	}

	/**
	 * @return the desGrupo30
	 */
	public String getDesGrupo30() {
		return desGrupo30;
	}

}
